#!/bin/sh

# This script will install 3dm2 and configure the system to start 3dm2
# when the OS boots.

# Get system information
if [ `uname -p | grep -i i.86` ]; then
	osArch='x86'
elif [ `uname -p | grep -i x86_64` ]; then
	osArch='x86_64'
else
	echo "Unknown Architecture"
	exit 1
fi


# Setup system to start 3dm2 during OS boot.
if [ -f /etc/redhat-release ]; then
	/sbin/chkconfig --add tdm2
	if [ $? != 0 ]; then
		echo ""
		echo "/sbin/chkconfig --add tdm2 failed."
	fi
	/sbin/chkconfig --level 345 tdm2 on
	if [ $? != 0 ]; then
		echo ""
		echo "/sbin/chkconfig --level 345 tdm2 on failed."
	fi

elif [ -f /etc/suse-release ]; then
	/sbin/chkconfig --add tdm2
	if [ $? != 0 ]; then
		echo ""
		echo "/sbin/chkconfig --add tdm2 failed."
	fi
	/sbin/chkconfig -s tdm2 on
	if [ $? != 0 ]; then
		echo ""
		echo "/sbin/chkconfig -s tdm2 on failed."
	fi
fi

# Start 3dm2 service
/etc/init.d/tdm2 start
if [ $? != 0 ]; then
	echo ""
	echo "Failed to start 3dm2 service."
fi

#Enable 3dm2 service on the ESX Firewall 
/usr/sbin/esxcfg-firewall --openPort 888,tcp,in,"3dm2"

# Get OS name
OS=`uname`
IO="" # store IP
case $OS in
   Linux) IP=`/sbin/ifconfig  | grep 'inet addr:'| grep -v '127.0.0.1' | cut -d: -f2 | awk '{ print $1}'`;;
   *) IP="Unknown";;
esac
echo ""
echo ""
echo "3dm2 installation complete."
echo "To Manage and Configure 3dm2 open the URL:"
echo "https://$IP:888"
